<?php
namespace Claromentis\Comments;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array();
use Claromentis\Comments\Model\Comment;
use Claromentis\Comments\Notification\Notification;
use Claromentis\Core\DAL;
use Claromentis\Core\Security\SecurityContext;






interface CommentableInterface
{
    
    
    
    
    
    
    
    
    public function Load($id, $extra = array());
    
    
    
    
    
    
    
    public function GetAggregationObject();
    
    
    
    
    
    
    
    
    public function GetOptions();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function UserHasPermission(SecurityContext $context, $perms, Comment $comment = null);
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function Notify(Comment $comment, Notification $default_notification);
}